#ifndef SERVERLIB_H
#define SERVERLIB_H

/*
function initializeClock
task: Initializes the clock, in order to have accurate 'time elapsed' value
input: none
output: none
*/
void initializeClock();
/*
function getCurrentTime
task:  returns the system time.
input: none
output: a zero-terminated string on success. The string should be cleared with free(). NULL on error
*/
char * getCurrentTime();
/*
function getTimeElapsed
task: returns the time elapsed since initializeClock() was called, or calls it it it wasn't done previously
input: none
output: zero-terminated string. This string can be cleared with free(). NULL is returned on error
*/
char * getTimeElapsed();

#endif

