/*
 * shm-client - client program to demonstrate shared memory.
 */
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/shm.h>
#include <stdio.h>
#include <unistd.h>
#include "../common/shared.h"
#include "ipc_shared.h"


main()
{
    int shmid;
    char *shm, *s;
    int i;
    struct timeRequest * req;

    /*
     * Locate the segment.
     */
    if ((shmid = shmget(SERVER_SHARED_MEMORY_KEY, REQUESTSIZE, 0644)) < 0) {
        perror("shmget");
        exit(1);
    }

    /*
     * Now we attach the segment to our data space.
     */
    if ((req = shmat(shmid, NULL, 0)) == (struct timeRequest *) -1) {
        perror("shmat");
        exit(1);
    }

    while(TRUE){

      printf("Mem: req: %d, ID: %d, shm: %d, sem: %d\n", req->reqType, req->clientID,  req->replyMemorySegmentID_int,
               req->replyNotificationSemaphore_int);
      sleep(3);
    }

}
